<?
if($ku['time_drakon']>$time)$drakon_act=1;

if($ku['time_yastreb']>$time)$yastreb_act=1;

if($ku['time_shmel']>$time)$shmel_act=1;

if($ku['hydropinics_time']>$time)
{
$hp_act=1;
$hp_ps=$ku['hydropinics_type'];
}

if($ku['scarecrow_time']>$time)$sc_act=1;

if($ku['seeder']>0)
{
$sd=$ku['seeder'];
if($sd<=10)$seeder_act_skid=$sd*0;
elseif($sd==11)$seeder_act_skid=0;
elseif($sd==12)$seeder_act_skid=0;

if($sd<=6)$seeder_act=$sd*10;
elseif($sd==7)$seeder_act=70;
elseif($sd==8)$seeder_act=70;
elseif($sd==9)$seeder_act=70;
elseif($sd==10)$seeder_act=70;

elseif($sd==11)$seeder_act=70;
elseif($sd==12)$seeder_act=70;
}

if($ku['harvester']>0)
{
$hv=$ku['harvester'];
if($hv<=6)$harvester_act=$hv*10;
elseif($hv==7)$harvester_act=70;
elseif($hv==8)$harvester_act=70;
elseif($hv==9)$harvester_act=70;
elseif($hv==10)$harvester_act=70;
elseif($hv==11)$harvester_act=70;
elseif($hv==12)$harvester_act=70;
}

if($ku['soiler']>0)
{
$sr=$ku['soiler'];
if($sr<=6)$soiler_act=$sr*10;
elseif($sr==7)$soiler_act=70;
elseif($sr==8)$soiler_act=70;
elseif($sr==9)$soiler_act=70;
elseif($sr==10)$soiler_act=70;
elseif($sr==11)$soiler_act=70;
elseif($sr==12)$soiler_act=70;

if(isset($mc) && $mc['soil']>0)
{
$mc_p_soiler=$mc['soil']*5;
$soiler_act=(($soiler_act/100)*$mc_p_soiler)+$soiler_act;
}
//echo $soiler_act;
}

if($ku['flowerbed']>0)
{
$fb=$ku['flowerbed'];
if($fb<=6)$flowerbed_act=$fb;
elseif($fb==7)$flowerbed_act=7;
elseif($fb==8)$flowerbed_act=7;
elseif($fb==9)$flowerbed_act=7;
elseif($fb==10)$flowerbed_act=7;
elseif($fb==11)$flowerbed_act=7;
elseif($fb==12)$flowerbed_act=7;
}

if($ku['irregate']>0)
{
$ig=$ku['irregate'];
if($ig<=6)
{
$irregate_act=$ig*10;
$irregate_act_m=$ig*1;
if($ig<=4)$irregate_act_mnp=$ig*1;
elseif($ig==5)$irregate_act_mnp=5;
elseif($ig==6)$irregate_act_mnp=6;
}
elseif($ig==7)
{
$irregate_act=70;
$irregate_act_m=7;
$irregate_act_mnp=7;
}
elseif($fb==8)
{
$irregate_act=70;
$irregate_act_m=7;
$irregate_act_mnp=7;
}
elseif($fb==9)
{
$irregate_act=70;
$irregate_act_m=7;
$irregate_act_mnp=7;
}
elseif($fb==10)
{
$irregate_act=70;
$irregate_act_m=7;
$irregate_act_mnp=7;
}
elseif($fb==11)
{
$irregate_act=70;
$irregate_act_m=7;
$irregate_act_mnp=7;
}
elseif($fb==12)
{
$irregate_act=70;
$irregate_act_m=7;
$irregate_act_mnp=7;
}
//if(isset($shmel_act))$irregate_act=$irregate_act*2;
}

if($ku['conveyor']>0)
{
$cr=$ku['conveyor'];
if($cr==1)$conveyor_act=10;
elseif($cr==2)$conveyor_act=20;
elseif($cr==3)$conveyor_act=30;
elseif($cr==4)$conveyor_act=40;
elseif($cr==5)$conveyor_act=50;
elseif($cr==6)$conveyor_act=60;
elseif($cr==7)$conveyor_act=70;
elseif($cr==8)$conveyor_act=70;
elseif($cr==9)$conveyor_act=70;
elseif($cr==10)$conveyor_act=70;
elseif($cr==11)$conveyor_act=70;
elseif($cr==12)$conveyor_act=70;
//if(isset($shmel_act))$conveyor_act=$conveyor_act*2;
}

if($ku['fooder']>0)
{
$fr=$ku['fooder'];
if($fr==1)$fooder_act=10;
elseif($fr==2)$fooder_act=20;
elseif($fr==3)$fooder_act=30;
elseif($fr==4)$fooder_act=40;
elseif($fr==5)$fooder_act=50;
elseif($fr==6)$fooder_act=60;
elseif($fr==7)$fooder_act=70;
elseif($fr==8)$fooder_act=70;
elseif($fr==9)$fooder_act=70;
elseif($fr==10)$fooder_act=70;
elseif($fr==11)$fooder_act=70;
elseif($fr==12)$fooder_act=70;
//if(isset($shmel_act))$fooder_act=$fooder_act*2;
}

if($ku['cultivator']>0)
{
$sr=$ku['cultivator'];
if($sr<=6)$cultivator_act=$sr*10;
elseif($sr==7)$cultivator_act=70;
elseif($sr==8)$cultivator_act=70;
elseif($sr==9)$cultivator_act=70;
elseif($sr==10)$cultivator_act=70;
elseif($sr==11)$cultivator_act=70;
elseif($sr==12)$cultivator_act=70;
}

if(isset($mc) && $mc['irrigate']>0)
{
$mc_hp_act=1;
$mc_hp_ps=$mc['irrigate']*10;
// ороситель (кх постройка)
// даёт эфект подобный гидре
// уровень оросителя*10
}

if(isset($mc) && $mc['school']>0) //  Школа вождения
{
$exp=25+($mc['school']*2); // уровень перевозчиков
if($exp>=$ku['level'])$school_act=1; // удвоение базового опыта доступо перевозчикам с уровнем больше $exp включительно
}

if(isset($mc) && $mc['vet']>0) //СТО
{
$vet_act=1;
$vet_ps_m=$mc['vet']*0;
$vet_ps_r=$mc['vet']*20;
}

if(isset($mc) && $mc['bank']>0) // Км банк
{
$payment_act=1;
$payment_ps=$mc['bank']*0;
// даёт дополнительные рубины при покупке (уровень * 5%)
}

if(isset($mc) && $mc['lib']==1) // Км библиотека
{
$lib_act=1;
// повышает получаемый базовый опыт всех перевозчиков на 50%
}

if(isset($mc) && $mc['greenhouse']>0) // Км ремонт
{
$greenhouse_act=1;
$greenhouse_ps=$mc['greenhouse']*10;
// увеличивает прибиль с Такси на (уровень * 20%)
}
?>